Bug 493823 - S-c-tools cleanup: dialogs centered on screen/main application window
S-c-tools cleanup: dialogs centered on screen/main application window
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 493602
  Show dependency treegraph
 
Reported: 2009-04-03 05:52 EDT by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 10:52:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (620.87 KB, patch)
2009-04-08 10:56 EDT, Roman Rakus
no flags Details | Diff
Patch, used glade2 (16.42 KB, patch)
2009-04-09 10:24 EDT, Roman Rakus
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-04-03 05:52:27 EDT
Description of problem:
Child dialogs should be centered on parent window, not on screen/main application window.

How reproducible: 
about, open/save etc.

Steps to Reproduce:
1. invoke some dialog (for example About dialog)
2. check dialog centering

Actual results:
Dialogs centered on screen/main application window.

Expected results:
Dialogs centered on parent window.

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't hesitate to ask project maintainers for any kind of help.
Comment 1 Roman Rakus 2009-04-08 09:28:05 EDT
I'll take care of this one...
Comment 2 Roman Rakus 2009-04-08 10:56:41 EDT
Created attachment 338719 [details]
patch

Patch that fixes this bug.
Just one issue - my glade editor made .glade file much more different, so the path file looks ugly :(
Comment 3 Roman Rakus 2009-04-08 10:58:25 EDT
Chris, will you apply the patch? Or will you add me to package as co-maintainer, or will you provide me push access to upstream repo, or...?
Comment 4 Chris Lumens 2009-04-08 13:26:26 EDT
Sure, I'll apply any patches after checking them to make sure they're good.  I appreciate the work.  I'm hesitant to apply the .glade file chunk after seeing how huge it is.  Could you tell me what you did there and I can make the changes myself to keep the diff smaller?  Thanks.
Comment 5 Roman Rakus 2009-04-09 05:54:52 EDT
For every dialog|window I set:
Window position: Center on parent
Transient for: main_window
That's all.
Comment 6 Roman Rakus 2009-04-09 10:24:23 EDT
Created attachment 338917 [details]
Patch, used glade2

With glade2 patch looks prettier...
Comment 7 Chris Lumens 2009-04-13 10:52:57 EDT
Thanks for the updated patch.  This will be included in the next build of system-config-kickstart.

Note You need to log in before you can comment on or make changes to this bug.